// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UWidget.h"
#include "SCW_UVisual.h"

class UWidget;

namespace Sourcify
{
	class SCW_UWidget : public SCW_UVisual, public virtual ISCW_UWidget
	{
	public:
		SCW_UWidget(UWidget* InWidget);

		UWidget* ToUWidget() const;

		bool IsVariable() const override;

	protected:
		UWidget* Widget;
	};
} // namespace Sourcify